nvme_scan_topology(2)

NAME
nvme_scan_topology - Scan NVMe topology and apply filter

SYNOPSIS
int nvme_scan_topology (nvme_root_t r , nvme_scan_filter_t f , void *f_args );

ARGUMENTS

r   nvme_root_t object

f   filter to apply

f_args
    user-specified argument to f

DESCRIPTION
Scans the NVMe topology and filters out the resulting elements by applying f.

RETURN
0 on success, -1 on failure with errno set.